import { Project } from "./../../project-policy-config/project";
import { OnInit, ChangeDetectorRef } from "@angular/core";
import { SystemInfoService, HelmChartService } from "../../service/index";
import { HelmChartDetail, SystemInfo } from "./../../service/interface";
import { ErrorHandler } from "./../../error-handler/error-handler";
export declare class ChartDetailComponent implements OnInit {
    private errorHandler;
    private systemInfoService;
    private helmChartService;
    private cdr;
    projectId: number;
    project: Project;
    chartName: string;
    chartVersion: string;
    roleName: string;
    hasSignedIn: boolean;
    hasProjectAdminRole: boolean;
    loading: boolean;
    isMember: boolean;
    chartDetail: HelmChartDetail;
    systemInfo: SystemInfo;
    repoURL: string;
    constructor(errorHandler: ErrorHandler, systemInfoService: SystemInfoService, helmChartService: HelmChartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    readonly chartNameWithVersion: string;
    readonly isChartExist: boolean;
    refresh(): void;
    downloadChart(): void;
}
