import { OnInit, EventEmitter, ChangeDetectorRef } from "@angular/core";
import { NgForm } from '@angular/forms';
import { TranslateService } from "@ngx-translate/core";
import { State } from "@clr/angular";
import { SystemInfo, SystemInfoService, HelmChartItem } from "../service/index";
import { ErrorHandler } from "../error-handler/error-handler";
import { HelmChartService } from "../service/helm-chart.service";
import { Roles } from './../shared/shared.const';
export declare class HelmChartComponent implements OnInit {
    private errorHandler;
    private translateService;
    private systemInfoService;
    private helmChartService;
    private cdr;
    signedCon: {
        [key: string]: any | string[];
    };
    projectId: number;
    projectName: string;
    urlPrefix: string;
    hasSignedIn: boolean;
    projectRoleID: Roles;
    hasProjectAdminRole: boolean;
    chartClickEvt: EventEmitter<any>;
    chartDownloadEve: EventEmitter<string>;
    chartDefaultIcon: string;
    lastFilteredChartName: string;
    charts: HelmChartItem[];
    chartsCopy: HelmChartItem[];
    systemInfo: SystemInfo;
    selectedRows: HelmChartItem[];
    loading: boolean;
    isUploading: boolean;
    isUploadModalOpen: boolean;
    provFile: File;
    chartFile: File;
    isCardView: boolean;
    cardHover: boolean;
    listHover: boolean;
    pageSize: number;
    currentPage: number;
    totalCount: number;
    currentState: State;
    uploadForm: NgForm;
    constructor(errorHandler: ErrorHandler, translateService: TranslateService, systemInfoService: SystemInfoService, helmChartService: HelmChartService, cdr: ChangeDetectorRef);
    readonly registryUrl: string;
    readonly developerRoleOrAbove: boolean;
    ngOnInit(): void;
    updateFilterValue(value: string): void;
    refresh(): void;
    onChartClick(item: HelmChartItem): void;
    resetUploadForm(): void;
    onChartUpload(): void;
    cancelUpload(): void;
    upload(): void;
    onChartFileChangeEvent(event: any): void;
    onProvFileChangeEvent(event: any): void;
    showCard(cardView: boolean): void;
    mouseEnter(itemName: string): void;
    mouseLeave(itemName: string): void;
    isHovering(itemName: string): boolean;
    getDefaultIcon(chart: HelmChartItem): void;
    getStatusString(chart: HelmChartItem): "HELM_CHART.DEPRECATED" | "HELM_CHART.ACTIVE";
}
