import { OnInit, ChangeDetectorRef, EventEmitter } from "@angular/core";
import { Observable } from "rxjs/Observable";
import "rxjs/add/observable/forkJoin";
import { TranslateService } from "@ngx-translate/core";
import { State } from "@clr/angular";
import { SystemInfo, SystemInfoService, HelmChartVersion, HelmChartMaintainer } from "./../../service/index";
import { ErrorHandler } from "./../../error-handler/error-handler";
import { OperationService } from "./../../operation/operation.service";
import { HelmChartService } from "./../../service/helm-chart.service";
import { ConfirmationAcknowledgement, ConfirmationDialogComponent } from "./../../confirmation-dialog";
export declare class ChartVersionComponent implements OnInit {
    private errorHandler;
    private translateService;
    private systemInfoService;
    private helmChartService;
    private cdr;
    private operationService;
    signedCon: {
        [key: string]: any | string[];
    };
    projectName: string;
    chartName: string;
    roleName: string;
    hasSignedIn: boolean;
    hasProjectAdminRole: boolean;
    chartDefaultIcon: string;
    versionClickEvt: EventEmitter<string>;
    backEvt: EventEmitter<any>;
    lastFilteredVersionName: string;
    chartVersions: HelmChartVersion[];
    versionsCopy: HelmChartVersion[];
    systemInfo: SystemInfo;
    selectedRows: HelmChartVersion[];
    loading: boolean;
    isCardView: boolean;
    cardHover: boolean;
    listHover: boolean;
    pageSize: number;
    currentPage: number;
    totalCount: number;
    currentState: State;
    chartFile: File;
    provFile: File;
    confirmationDialog: ConfirmationDialogComponent;
    constructor(errorHandler: ErrorHandler, translateService: TranslateService, systemInfoService: SystemInfoService, helmChartService: HelmChartService, cdr: ChangeDetectorRef, operationService: OperationService);
    readonly registryUrl: string;
    ngOnInit(): void;
    updateFilterValue(value: string): void;
    refresh(): void;
    getMaintainerString(maintainers: HelmChartMaintainer[]): string;
    onVersionClick(version: HelmChartVersion): void;
    deleteVersion(version: HelmChartVersion): Observable<any>;
    deleteVersions(versions: HelmChartVersion[]): void;
    versionDownload(evt?: Event, item?: HelmChartVersion): void;
    showCard(cardView: boolean): void;
    mouseEnter(itemName: string): void;
    mouseLeave(itemName: string): void;
    isHovering(itemName: string): boolean;
    onChartFileChangeEvent(event: any): void;
    onProvFileChangeEvent(event: any): void;
    deleteVersionCard(env: Event, version: HelmChartVersion): void;
    openVersionDeleteModal(versions: HelmChartVersion[]): void;
    confirmDeletion(message: ConfirmationAcknowledgement): void;
    getImgLink(v: HelmChartVersion): string;
    getDefaultIcon(v: HelmChartVersion): void;
    getStatusString(chartVersion: HelmChartVersion): "HELM_CHART.DEPRECATED" | "HELM_CHART.ACTIVE";
}
